import React from 'react';
import './DashboardStyles.css';

const FinancePage = () => {
  const transactions = [
    { id: 1, date: '15.04.2023', description: 'Ürün Satışı', amount: '₺1,250.00', type: 'Gelir' },
    { id: 2, date: '14.04.2023', description: 'Reklam Harcaması', amount: '₺-500.00', type: 'Gider' },
    { id: 3, date: '13.04.2023', description: 'Üyelik Geliri', amount: '₺750.00', type: 'Gelir' },
    { id: 4, date: '12.04.2023', description: 'Ofis Kirası', amount: '₺-2,000.00', type: 'Gider' },
  ];

  return (
    <div className="dashboard-page">
      <h2 className="page-title">Finansal İşlemler</h2>
      
      <div className="finance-overview">
        <div className="finance-card income">
          <h3>Toplam Gelir</h3>
          <p className="amount">₺12,450.00</p>
          <p className="change positive">+15% geçen aya göre</p>
        </div>
        <div className="finance-card expense">
          <h3>Toplam Gider</h3>
          <p className="amount">₺8,200.00</p>
          <p className="change negative">-5% geçen aya göre</p>
        </div>
        <div className="finance-card net">
          <h3>Net Kar</h3>
          <p className="amount">₺4,250.00</p>
          <p className="change positive">+22% geçen aya göre</p>
        </div>
      </div>
      
      <div className="chart-container">
        <h3>Son 6 Ay Finansal Performans</h3>
        <div className="placeholder-chart">
          {/* Buraya gerçek bir chart component'i eklenebilir */}
          <p>Grafik alanı (Chart.js veya benzeri kullanılabilir)</p>
        </div>
      </div>
      
      <div className="table-container">
        <h3>Son İşlemler</h3>
        <table className="data-table">
          <thead>
            <tr>
              <th>Tarih</th>
              <th>Açıklama</th>
              <th>Tutar</th>
              <th>Tür</th>
            </tr>
          </thead>
          <tbody>
            {transactions.map(transaction => (
              <tr key={transaction.id}>
                <td>{transaction.date}</td>
                <td>{transaction.description}</td>
                <td className={transaction.type === 'Gelir' ? 'positive' : 'negative'}>
                  {transaction.amount}
                </td>
                <td>{transaction.type}</td>
              </tr>
            ))}
          </tbody>
        </table>
      </div>
    </div>
  );
};

export default FinancePage;