import React from 'react';
import './DashboardStyles.css';

const LicenseManagementPage = () => {
  const licenses = [
    { id: 1, key: 'LXN-7890-ABCD-1234', type: 'Premium', owner: 'ABC Şirketi', expiry: '15.10.2023', status: 'Aktif' },
    { id: 2, key: 'LXN-5678-EFGH-9012', type: 'Standart', owner: 'XYZ Ltd.', expiry: '30.09.2023', status: 'Aktif' },
    { id: 3, key: 'LXN-3456-IJKL-7890', type: 'Trial', owner: 'Test Kullanıcı', expiry: '15.05.2023', status: 'Süresi Dolmuş' },
    { id: 4, key: 'LXN-1234-MNOP-5678', type: 'Enterprise', owner: 'Büyük Şirket A.Ş.', expiry: '31.12.2024', status: 'Aktif' },
  ];

  return (
    <div className="dashboard-page">
      <h2 className="page-title">Lisans Yönetim Paneli</h2>
      
      <div className="license-stats">
        <div className="stat-card">
          <h3>Aktif Lisanslar</h3>
          <p className="stat-value">3</p>
        </div>
        <div className="stat-card">
          <h3>Süresi Dolanlar</h3>
          <p className="stat-value">1</p>
        </div>
        <div className="stat-card">
          <h3>Toplam Lisans</h3>
          <p className="stat-value">4</p>
        </div>
      </div>
      
      <div className="table-container">
        <table className="data-table">
          <thead>
            <tr>
              <th>Lisans Anahtarı</th>
              <th>Tür</th>
              <th>Sahip</th>
              <th>Son Kullanma</th>
              <th>Durum</th>
              <th>İşlemler</th>
            </tr>
          </thead>
          <tbody>
            {licenses.map(license => (
              <tr key={license.id}>
                <td>{license.key}</td>
                <td>{license.type}</td>
                <td>{license.owner}</td>
                <td>{license.expiry}</td>
                <td>
                  <span className={`status-badge ${license.status === 'Aktif' ? 'aktif' : 'inaktif'}`}>
                    {license.status}
                  </span>
                </td>
                <td>
                  <button className="action-btn edit">Düzenle</button>
                  <button className="action-btn renew">Yenile</button>
                </td>
              </tr>
            ))}
          </tbody>
        </table>
      </div>
      
      <div className="license-actions">
        <button className="generate-btn">Yeni Lisans Oluştur</button>
        <button className="export-btn">Lisansları Dışa Aktar</button>
      </div>
    </div>
  );
};

export default LicenseManagementPage;