import React from 'react';
import { Routes, Route } from 'react-router-dom';
import PurchasedSoftwarePage from '../pages/Customer/PurchasedSoftwarePage';
import SoftwarePurchasePage from '../pages/Customer/SoftwarePurchasePage';
import PaymentInvoiceTrackingPage from '../pages/Customer/PaymentInvoiceTrackingPage';
import LicenseUpdatesPage from '../pages/Customer/LicenseUpdatesPage';
import PromotionsSuggestionsPage from '../pages/Customer/PromotionsSuggestionsPage';
import SupportFeedbackPage from '../pages/Customer/SupportFeedbackPage';

const CustomerRoutes = () => {
  return (
    <Routes>
      <Route path="/" element={<PurchasedSoftwarePage />} />
      <Route path="/purchased-software" element={<PurchasedSoftwarePage />} />
      <Route path="/software-purchase" element={<SoftwarePurchasePage />} />
      <Route path="/payment-invoices" element={<PaymentInvoiceTrackingPage />} />
      <Route path="/license-updates" element={<LicenseUpdatesPage />} />
      <Route path="/promotions" element={<PromotionsSuggestionsPage />} />
      <Route path="/support-feedback" element={<SupportFeedbackPage />} />
    </Routes>
  );
};

export default CustomerRoutes;